Index: configure.ac
===================================================================
--- configure.ac	(revision 381609)
+++ configure.ac	(working copy)
@@ -488,6 +488,11 @@
 AC_HEADER_SYS_WAIT
 AC_CHECK_HEADERS([arpa/inet.h fcntl.h inttypes.h libintl.h limits.h locale.h malloc.h netdb.h netinet/in.h stddef.h stdint.h stdlib.h string.h strings.h sys/event.h sys/file.h sys/ioctl.h sys/param.h sys/socket.h sys/time.h syslog.h termios.h unistd.h utime.h arpa/nameser.h sys/io.h])
 
+AST_EXT_LIB_CHECK([UUID], [uuid], [uuid_generate], [uuid/uuid.h])
+if test "x$UUID_LIB" == "x"; then
+  AC_MSG_ERROR([*** libuuid not found ***])
+fi
+
 # Any one of these 4 packages support a mandatory requirement, so we want to check on them as early as possible.
 AST_EXT_LIB_CHECK([TERMCAP], [termcap], [tgetent], [])
 AST_EXT_LIB_CHECK([TINFO], [tinfo], [tgetent], [])
